<html>
<head>
<title>OGRE: Ogre::SceneManagerMetaData Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="structOgre_1_1SceneManagerMetaData.html">SceneManagerMetaData</a></div>
<h1>Ogre::SceneManagerMetaData Struct Reference</h1><!-- doxytag: class="Ogre::SceneManagerMetaData" -->Structure containing information about a scene manager.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1SceneManagerMetaData-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManagerMetaData.html#a57a307da50be609afd0ba94a4270575">typeName</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A globally unique string identifying the scene manager type.  <a href="#a57a307da50be609afd0ba94a4270575"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManagerMetaData.html#8df3fc448d9a7ac3c1fd42367a992f15">description</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A text description of the scene manager.  <a href="#8df3fc448d9a7ac3c1fd42367a992f15"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a4b6dbd7bf722582a21fcc25d25f73ed">SceneTypeMask</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManagerMetaData.html#35faea95cb6f142f8f42b44be4a5b973">sceneTypeMask</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A mask describing which sorts of scenes this manager can handle.  <a href="#35faea95cb6f142f8f42b44be4a5b973"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManagerMetaData.html#4ca0d9cbb34639bf1032f34607e3d3bd">worldGeometrySupported</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Flag indicating whether world geometry is supported.  <a href="#4ca0d9cbb34639bf1032f34607e3d3bd"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Structure containing information about a scene manager. 
<p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l02820">2820</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="a57a307da50be609afd0ba94a4270575"></a><!-- doxytag: member="Ogre::SceneManagerMetaData::typeName" ref="a57a307da50be609afd0ba94a4270575" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1SceneManagerMetaData.html#a57a307da50be609afd0ba94a4270575">Ogre::SceneManagerMetaData::typeName</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
A globally unique string identifying the scene manager type. 
<p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l02823">2823</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8df3fc448d9a7ac3c1fd42367a992f15"></a><!-- doxytag: member="Ogre::SceneManagerMetaData::description" ref="8df3fc448d9a7ac3c1fd42367a992f15" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1SceneManagerMetaData.html#8df3fc448d9a7ac3c1fd42367a992f15">Ogre::SceneManagerMetaData::description</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
A text description of the scene manager. 
<p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l02825">2825</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="35faea95cb6f142f8f42b44be4a5b973"></a><!-- doxytag: member="Ogre::SceneManagerMetaData::sceneTypeMask" ref="35faea95cb6f142f8f42b44be4a5b973" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a4b6dbd7bf722582a21fcc25d25f73ed">SceneTypeMask</a> <a class="el" href="structOgre_1_1SceneManagerMetaData.html#35faea95cb6f142f8f42b44be4a5b973">Ogre::SceneManagerMetaData::sceneTypeMask</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
A mask describing which sorts of scenes this manager can handle. 
<p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l02827">2827</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4ca0d9cbb34639bf1032f34607e3d3bd"></a><!-- doxytag: member="Ogre::SceneManagerMetaData::worldGeometrySupported" ref="4ca0d9cbb34639bf1032f34607e3d3bd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1SceneManagerMetaData.html#4ca0d9cbb34639bf1032f34607e3d3bd">Ogre::SceneManagerMetaData::worldGeometrySupported</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Flag indicating whether world geometry is supported. 
<p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l02829">2829</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:53:07 2008
</p>
</body>
</html>
